IMPLOG(8C)

NAME
implog - IMP log interpreter

SYNOPSIS
/etc/implog [ -D ] [ -f ] [ -c ] [ -r ] [ -l [ link ] ] [ -h host-number ] [ -i imp-number ] [ -t message-type ]

DESCRIPTION
implog interprets the message log produced by implogd(8C).

If no arguments are specified, implog interprets and prints every message present in the message file. Options may be specified to force printing only a subset of the logged messages.

-D  Do not show data messages.

-f  Follow (monitor) the logging process. First print the current contents of the log file, then check for newly logged messages every 5 seconds.

-c  In addition to printing any data messages logged, show the contents of the data in hexadecimal bytes.

-r  Print the raw IMP leader, showing all fields, in addition to the formatted interpretation, according to type.

-l [ link-number ]
Show only those messages received on the specified link-number.If link-number is omitted, the link number of the IP protocol is assumed.

-h host-number
    Show only those messages received from the specified host-number. (Usually specified in conjunction with an IMP.)

-i imp-number
    Show only those messages received from the specified imp-number.

-t message-type
    Show only those messages received of the specified message type.

SEE ALSO
implogd(8C)

BUGS
You cannot specify multiple hosts, IMPs, etc. You cannot follow the reception of messages without looking at those already in the file.